Foreman - Bug #4337

EC2 use block device mapping
02/13/2014 12:25 PM - Daniel Lobato Garcia

Status:
Priority:
Assignee:
Category:

Target version:

New
Normal
Daniel Lobato Garcia

Compute resources - EC2

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

EC2 instances can have a block device mapping to EBS volumes, as per
http:/docs.aws.amazon.com/AWSEC2/latest/UserGuide/block-device-mapping-concepts.html

We should be able to design this block device mapping in Foreman and set ephemeral disks for the EC2 instances too.

Originally from: https://groups.google.com/d/msg/foreman-dev/TbXtZ5fmyrc/Gbf-WQcn3HsJ

Related issues:

Related to Foreman - Bug #4521: Openstack boot from volume

Related to Foreman - Feature #3022: Set disk size of ec2 instance from "Virtu...

Related to Foreman - Feature #7072: More EC2 Integration

Related to Foreman - Bug #9550: unable to provision vm in rackspace using the...

Closed 03/03/2014
New

New 08/13/2014
New 02/25/2015

History

#1 - 02/21/2014 01:07 PM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Daniel Lobato Garcia

- Target version set to 1.9.1

#2 - 03/03/2014 01:17 PM - Daniel Lobato Garcia

- Target version changed from 1.9.1 to 1.9.0

Same feature in Openstack tracked here: http://projects.theforeman.org/issues/4521

#3 - 03/03/2014 01:25 PM - Daniel Lobato Garcia

It will easily get done after #4521 is closed, for the moment I'm focusing on that and waiting for a test EC2 account

#4 - 03/03/2014 03:00 PM - Dominic Cleal

- Related to Bug #4521: Openstack boot from volume added

#5 - 03/26/2014 01:09 PM - Anonymous
- Target version deleted (1.9.0)

#6 - 09/26/2014 07:13 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - EC2

#7 - 09/26/2014 07:13 AM - Dominic Cleal
- Related to Feature #3022: Set disk size of ec2 instance from "Virtual Machine" tab of Ul added

#8 - 09/26/2014 07:15 AM - Dominic Cleal
- Related to Feature #7072: More EC2 Integration added
#9 - 03/02/2015 04:07 AM - Dominic Cleal

- Related to Bug #9550: unable to provision vm in rackspace using the compute or memory flavor added

#10 - 05/17/2017 04:06 PM - Anonymous

- Status changed from Assigned to New

#11 - 07/22/2019 07:45 PM - Andrew Cooper

Is this feature dead? Based on associated bugs/tickets it looks like fog might have introduced new capabilities to support more customization around
boot volumes size/types. We just attempted to hook up 1.20 foreman to AWS and found this to be show stopping.
#12 - 10/01/2019 01:32 PM - Adam Cécile

Sadly it seems so yes, it's been two years since | sent an empiric patch to raise default size here: https://projects.theforeman.org/issues/3022 and
nothing has been done since.

| looked already a bit into integrating up to the creation form but ruby syntax is ways too "weird" and | don't think I'm going to make it...
